<?php
/********************************************************************************
 * Fineditor - WYSIWYG editor 
 * Version          : 1.00
 * Full source code : http://lpsuper.com/hp/infotop003/
 * License          : GPLv2 or later
 * License URI      : http://www.gnu.org/licenses/gpl-2.0.html
 * Author           : Mitsuo Okudaira
 * Created          : 2018/11/27
 * Updated			: 2018/12/04
 ********************************************************************************/
	ini_set("session.bug_compat_42", 0);
	ini_set("session.bug_compat_warn", 0);
	session_start();
	// 入力エラー、戻り時の再表示用にセッションに保存する。
	$_SESSION["onamae"] = $_POST["onamae"];
	$_SESSION["onamae_kana"] = $_POST["onamae_kana"];
	$_SESSION["yubin_no"] = $_POST["yubin_no"];
	$_SESSION["todofuken"] = $_POST["todofuken"];
	$_SESSION["city"] = $_POST["city"];
	$_SESSION["jusyo1"] = $_POST["jusyo1"];
	$_SESSION["jusyo2"] = $_POST["jusyo2"];
	$_SESSION["tatemono"] = $_POST["tatemono"];
	$_SESSION["e_mail"] = $_POST["e_mail"];
	$_SESSION["url"] = $_POST["url"];
	$_SESSION["tel_no"] = $_POST["tel_no"];
	$_SESSION["keitai_no"] = $_POST["keitai_no"];
	$_SESSION["fax_no"] = $_POST["fax_no"];
	$_SESSION["toiawase_naiyo"] = htmlspecialchars_decode($_POST["toiawase_naiyo"], ENT_QUOTES);				// 半角円マーク以外は入力内容通りに表示するため、htmlspecialcharsを戻す。
	$_SESSION["else"] = htmlspecialchars_decode($_POST["else"], ENT_QUOTES);									// 半角円マーク以外は入力内容通りに表示するため、htmlspecialcharsを戻す。
	// 入力内容チェック
	$_SESSION["errmsg"] = NULL;
	// 氏名チェック
	$_POST["onamae"] = str_replace('\\', '￥', $_POST["onamae"]);													// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_name_hissu"] && ($_POST["onamae"] == NULL || $_POST["onamae"] == "")) {						// 必須入力チェック
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_name"].'」は必須入力です。<br>';
	}else
	if ($_POST["onamae"] <> NULL && $_POST["onamae"] <> "") {																											// 全角(半角スペース可)チェック
		mb_regex_encoding("UTF-8");
		if (!preg_match("/^[ ぁ-んァ-ヶー一-龠　]+$/u",$_POST["onamae"])) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_name"].'」は全角文字(半角スペース可)で入力してください。<br>';	// スペース（全角半角）はＯＫ
	}
	// 氏名（カナ）チェック
	$_POST["onamae_kana"] = str_replace('\\', '￥', $_POST["onamae_kana"]);											// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_name_kana_hissu"] && ($_POST["onamae_kana"] == NULL || $_POST["onamae_kana"] == "")) {			// 必須入力チェック
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_name_kana"].'」は必須入力です。<br>';
	}else
	if ($_POST["onamae_kana"] <> NULL && $_POST["onamae_kana"] <> "") {																											// 全角(半角スペース可)チェック
		if (!preg_match("/^[ ァ-ヶー　]+$/u", $_POST["onamae_kana"])) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_name_kana"].'」は全角カナ(半角スペース可)で入力してください。<br>';	// スペース（全角半角）はＯＫ
	}
	// 郵便番号チェック
	$_POST["yubin_no"] = str_replace('\\', '￥', $_POST["yubin_no"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_yubin_no_hissu"] && ($_POST["yubin_no"] == NULL || $_POST["yubin_no"] == "")) {				// 必須入力チェック
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_yubin_no"].'」は必須入力です。<br>';
	}else
	if ($_POST["yubin_no"] <> NULL && $_POST["yubin_no"] <> "") {																											// 全角(半角スペース可)チェック
		if (!preg_match("/^\d{3}\-\d{4}$/", $_POST["yubin_no"])) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_yubin_no"].'」は123-4567の形式で入力してください。<br>';	// スペース（全角半角）はＯＫ
	}
	
	// 都道府県チェック
	if ($_POST["item_todofuken_hissu"] && ($_POST["todofuken"] == NULL || $_POST["todofuken"] == "")) {				// 必須入力チェック
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_todofuken"].'」は必須入力です。<br>';
	}
	
	// 市区町村番地チェック
	$_POST["city"] = str_replace('\\', '￥', $_POST["city"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_city_hissu"] && ($_POST["city"] == NULL || $_POST["city"] == "")) {							// 必須入力チェック
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_city"].'」は必須入力です。<br>';
	}else
	if ($_POST["city"] <> NULL && $_POST["city"] <> "") {															// 全角文字(半角数字ハイフン可)チェック
		mb_regex_encoding("UTF-8");
		if (!preg_match("/[-1-9１-９ぁ-んァ-ヶー一-龠]+$/u",$_POST["city"])) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_city"].'」は全角文字(半角数字ハイフン可)で入力してください。<br>';	// スペース（全角半角）はＯＫ
	}
	
	// 住所１チェック
	$_POST["jusyo1"] = str_replace('\\', '￥', $_POST["jusyo1"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_jusyo1_hissu"] && ($_POST["jusyo1"] == NULL || $_POST["jusyo1"] == "")) {						// 必須入力チェック
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_jusyo1"].'」は必須入力です。<br>';
	}else
	if ($_POST["jusyo1"] <> NULL && $_POST["jusyo1"] <> "") {																											// 全角((半角数字ハイフン可))チェック
		mb_regex_encoding("UTF-8");
		if (!preg_match("/[-1-9１-９ぁ-んァ-ヶー一-龠]+$/u",$_POST["jusyo1"])) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_jusyo1"].'」は全角文字(半角数字ハイフン可)で入力してください。<br>';	// スペース（全角半角）はＯＫ
	}
	
	// 住所２チェック
	$_POST["jusyo2"] = str_replace('\\', '￥', $_POST["jusyo2"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_jusyo2_hissu"] && ($_POST["jusyo2"] == NULL || $_POST["jusyo2"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_jusyo2"].'」は必須入力です。<br>';
	}else
	if ($_POST["jusyo2"] <> NULL && $_POST["jusyo2"] <> "") {																											// 全角((半角数字ハイフン可))チェック
		mb_regex_encoding("UTF-8");
		if (!preg_match("/[-1-9１-９ぁ-んァ-ヶー一-龠]+$/u",$_POST["jusyo2"])) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_jusyo2"].'」は全角文字(半角数字ハイフン可)で入力してください。<br>';	// スペース（全角半角）はＯＫ
	}
	
	// 建物名号室チェック
	$_POST["tatemono"] = str_replace('\\', '￥', $_POST["tatemono"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_tatemono_hissu"] && ($_POST["tatemono"] == NULL || $_POST["tatemono"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_tatemono"].'」は必須入力です。<br>';
	}else
	if ($_POST["tatemono"] <> NULL && $_POST["tatemono"] <> "") {																											// 全角((半角数字ハイフン可))チェック
		mb_regex_encoding("UTF-8");
		if (!preg_match("/[-1-9１-９A-Za-zＡ-Ｚａ-ｚぁ-んァ-ヶー一-龠]+$/u",$_POST["tatemono"])) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_tatemono"].'」は全角文字(半角英数字ハイフン可)で入力してください。<br>';	// スペース（全角半角）はＯＫ
	}

	// Ｅメールチェック
	if ($_POST["item_e_mail_hissu"] && ($_POST["e_mail"] == NULL || $_POST["e_mail"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_e_mail"].'」は必須入力です。<br>';
	}else
	if ($_POST["e_mail"] <> NULL && $_POST["e_mail"] <> "") {																											// 形式(メールアドレス)チェック
		//echo (filter_var($_POST["e_mail"], FILTER_VALIDATE_EMAIL));
		if (!filter_var($_POST["e_mail"], FILTER_VALIDATE_EMAIL)) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_e_mail"].'」形式(メールアドレス)が正しくありません。<br>';
	}
	// ホームページＵＲＬチェック
	$_POST["url"] = str_replace('\\', '￥', $_POST["url"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_url_hissu"] && ($_POST["url"] == NULL || $_POST["url"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_url"].'」は必須入力です。<br>';
	}else
	if ($_POST["url"] <> NULL && $_POST["url"] <> "") {																											// 形式(url)チェック
		if (!filter_var($_POST["url"], FILTER_VALIDATE_URL)) $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_url"].'」形式(URL)が正しくありません。<br>';
	}

	// 電話番号チェック
	$_POST["tel_no"] = str_replace('\\', '￥', $_POST["tel_no"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_tel_no_hissu"] && ($_POST["tel_no"] == NULL || $_POST["tel_no"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_tel_no"].'」は必須入力です。<br>';
	}else
	if ($_POST["tel_no"] <> NULL && $_POST["tel_no"] <> "") {																											// 形式(url)チェック
		// 全角を半角に変換する。
        $tel_no = mb_convert_kana($_POST["tel_no"], "a", "UTF-8");	// このphpファイルがUTF-8であるためencodingは"UTF-8"を指定する。
		//echo '$tel_no='.$tel_no;	// test
        // 半角または全角のハイフンを取り除く
        $tel_no = mb_ereg_replace("-", "", $tel_no);
        $tel_no = mb_ereg_replace("ー", "", $tel_no);
        $tel_no = mb_ereg_replace("－", "", $tel_no);
		//数字であり、かつ10桁もしくは9桁かチェック
		if(!(ctype_digit($tel_no) && (strlen($tel_no) == 10 || strlen($tel_no)== 11)))  $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_tel_no"].'」が正しくありません。<br>';
	}

	// 携帯電話番号チェック
	$_POST["keitai_no"] = str_replace('\\', '￥', $_POST["keitai_no"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_keitai_no_hissu"] && ($_POST["keitai_no"] == NULL || $_POST["keitai_no"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_keitai_no"].'」は必須入力です。<br>';
	}else
	if ($_POST["keitai_no"] <> NULL && $_POST["keitai_no"] <> "") {																											// 形式(url)チェック
		// 全角を半角に変換する。
        $tel_no = mb_convert_kana($_POST["keitai_no"], "a", "UTF-8");	// このphpファイルがUTF-8であるためencodingは"UTF-8"を指定する。
		//echo '$tel_no='.$tel_no;	// test
        // 半角または全角のハイフンを取り除く
        $tel_no = mb_ereg_replace("-", "", $tel_no);
        $tel_no = mb_ereg_replace("ー", "", $tel_no);
        $tel_no = mb_ereg_replace("－", "", $tel_no);
		//数字であり、かつ10桁もしくは9桁かチェック
		//echo '<br>ctype_digit($tel_no)='.ctype_digit($tel_no);	// test
		if(!(ctype_digit($tel_no) && (strlen($tel_no) == 10 || strlen($tel_no)== 11)))  $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_keitai_no"].'」が正しくありません。<br>';
	}

	// ＦＡＸ番号チェック
	$_POST["fax_no"] = str_replace('\\', '￥', $_POST["fax_no"]);												// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	if ($_POST["item_fax_no_hissu"] && ($_POST["fax_no"] == NULL || $_POST["fax_no"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_fax_no"].'」は必須入力です。<br>';
	}else
	if ($_POST["fax_no"] <> NULL && $_POST["fax_no"] <> "") {																											// 形式(url)チェック
		// 全角を半角に変換する。
        $tel_no = mb_convert_kana($_POST["fax_no"], "a", "UTF-8");	// このphpファイルがUTF-8であるためencodingは"UTF-8"を指定する。
		//echo '$tel_no='.$tel_no;	// test
        // 半角または全角のハイフンを取り除く
        $tel_no = mb_ereg_replace("-", "", $tel_no);
        $tel_no = mb_ereg_replace("ー", "", $tel_no);
        $tel_no = mb_ereg_replace("－", "", $tel_no);
		// 数字であり、かつ10桁または9桁かチェック
		//echo '<br>ctype_digit($tel_no)='.ctype_digit($tel_no);	// test
		if(!(ctype_digit($tel_no) && (strlen($tel_no) == 10 || strlen($tel_no)== 11)))  $_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_fax_no"].'」が正しくありません。<br>';
	}

	// お問合せ内容チェック
	$_POST["toiawase_naiyo"] = str_replace('\\', '￥', $_POST["toiawase_naiyo"]);									// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	$_POST["toiawase_naiyo"] = htmlspecialchars($_POST["toiawase_naiyo"], ENT_QUOTES, 'UTF-8');						// 特殊文字を HTML エンティティに変換する。
	if ($_POST["item_toiawase_naiyo_hissu"] && ($_POST["toiawase_naiyo"] == NULL || $_POST["toiawase_naiyo"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_toiawase_naiyo"].'」は必須入力です。<br>';
	}

	// その他チェック
	$_POST["else"] = str_replace('\\', '￥', $_POST["else"]);														// 半角円マークが入力された場合は不具合が生じる場合があるため全角に変換する。
	$_POST["else"] = htmlspecialchars($_POST["else"], ENT_QUOTES, 'UTF-8');											// 特殊文字を HTML エンティティに変換する。
	if ($_POST["item_else_hissu"] && ($_POST["else"] == NULL || $_POST["else"] == "")) {
		$_SESSION["errmsg"] = $_SESSION["errmsg"].'「'.$_POST["item_else"].'」は必須入力です。<br>';
	}
	
	if ($_SESSION["errmsg"] <> NULL) {
		
		$loc = 'Location:'.$_SESSION["req_uri_display"].'?inputerr=1';
		header($loc);
		exit;
	}
	include 'src/function_cms.php';

?>
<!DOCTYPE html>
<html lang="ja">
<head>
<meta charset="UTF-8" >
<title>Fineditor | お問い合せ内容確認</title>
<link href="cssfiles/wysiwyg.css" rel="stylesheet" type="text/css">
<script src="jQuery/jquery-3.2.1.min.js"></script>

</head>
<body style="padding-left:20px;text-align:left;">
<div class="page_title">お問い合せ内容確認</div>
<br class="clear_both">
<form action="./wysiwyg_mailform_send.php" method="POST">
<span class="guide">お問い合せ入力内容を確認し、ページ下の【送信】をクリックしてください。<br></span>
<table class="mailform_table">
<tr>
<td colspan=2 class="form_row_header">お問い合せ内容</td>
</tr>

<?php
// 氏名
if (isset($_POST['item_name'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_name"].'<input type="hidden" name="item_name" value="'.$_POST["item_name"].'"></td><td class="form_row_input">'.$_POST["onamae"].'<input type="hidden" name="onamae" value="'.$_POST["onamae"].'"></td>';
	echo '</tr>';
}

// 氏名（カナ）
if (isset($_POST['item_name_kana'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_name_kana"].'<input type="hidden" name="item_name_kana" value="'.$_POST["item_name_kana"].'"></td><td class="form_row_input">'.$_POST["onamae_kana"].'<input type="hidden" name="onamae_kana" value="'.$_POST["onamae_kana"].'"></td>';
	echo '</tr>';
}

// 郵便番号
if (isset($_POST['item_yubin_no'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_yubin_no"].'<input type="hidden" name="item_yubin_no" value="'.$_POST["item_yubin_no"].'"></td><td class="form_row_input">'.$_POST["yubin_no"].'<input type="hidden" name="yubin_no" value="'.$_POST["yubin_no"].'"></td>';
	echo '</tr>';
}

// 都道府県
if (isset($_POST['item_todofuken'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_todofuken"].'<input type="hidden" name="item_todofuken" value="'.$_POST["item_todofuken"].'"></td><td class="form_row_input">'.$_POST["todofuken"].'<input type="hidden" name="todofuken" value="'.$_POST["todofuken"].'"></td>';
	echo '</tr>';
}

// 市区町村
if (isset($_POST['item_city'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_city"].'<input type="hidden" name="item_city" value="'.$_POST["item_city"].'"></td><td class="form_row_input">'.$_POST["city"].'<input type="hidden" name="city" value="'.$_POST["city"].'"></td>';
	echo '</tr>';
}

// 住所１
if (isset($_POST['item_jusyo1'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_jusyo1"].'<input type="hidden" name="item_jusyo1" value="'.$_POST["item_jusyo1"].'"></td><td class="form_row_input">'.$_POST["jusyo1"].'<input type="hidden" name="jusyo1" value="'.$_POST["jusyo1"].'"></td>';
	echo '</tr>';
}

// 住所２
if (isset($_POST['item_jusyo2'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_jusyo2"].'<input type="hidden" name="item_jusyo2" value="'.$_POST["item_jusyo2"].'"></td><td class="form_row_input">'.$_POST["jusyo2"].'<input type="hidden" name="jusyo2" value="'.$_POST["jusyo2"].'"></td>';
	echo '</tr>';
}

// 建物名号室
if (isset($_POST['item_tatemono'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_tatemono"].'<input type="hidden" name="item_tatemono" value="'.$_POST["item_tatemono"].'"></td><td class="form_row_input">'.$_POST["tatemono"].'<input type="hidden" name="tatemono" value="'.$_POST["tatemono"].'"></td>';
	echo '</tr>';
}

// Ｅメール
if (isset($_POST['item_e_mail'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_e_mail"].'<input type="hidden" name="item_e_mail" value="'.$_POST["item_e_mail"].'"></td><td class="form_row_input">'.$_POST["e_mail"].'<input type="hidden" name="e_mail" value="'.$_POST["e_mail"].'"></td>';
	echo '</tr>';
}

// ホームページＵＲＬ
if (isset($_POST['item_url'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_url"].'<input type="hidden" name="item_url" value="'.$_POST["item_url"].'"></td><td class="form_row_input">'.$_POST["url"].'<input type="hidden" name="url" value="'.$_POST["url"].'"></td>';
	echo '</tr>';
}

// 電話番号
if (isset($_POST['item_tel_no'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_tel_no"].'<input type="hidden" name="item_tel_no" value="'.$_POST["item_tel_no"].'"></td><td class="form_row_input">'.$_POST["tel_no"].'<input type="hidden" name="tel_no" value="'.$_POST["tel_no"].'"></td>';
	echo '</tr>';
}

// 携帯電話番号
if (isset($_POST['item_keitai_no'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_keitai_no"].'<input type="hidden" name="item_keitai_no" value="'.$_POST["item_keitai_no"].'"></td><td class="form_row_input">'.$_POST["keitai_no"].'<input type="hidden" name="keitai_no" value="'.$_POST["keitai_no"].'"></td>';
	echo '</tr>';
}

// ＦＡＸ番号
if (isset($_POST['item_fax_no'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_fax_no"].'<input type="hidden" name="item_fax_no" value="'.$_POST["item_fax_no"].'"></td><td class="form_row_input">'.$_POST["fax_no"].'<input type="hidden" name="fax_no" value="'.$_POST["fax_no"].'"></td>';
	echo '</tr>';
}

// お問合せ内容
if (isset($_POST['item_toiawase_naiyo'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_toiawase_naiyo"].'<input type="hidden" name="item_toiawase_naiyo" value="'.$_POST["item_toiawase_naiyo"].'"></td><td class="form_row_input">'.nl2br($_POST["toiawase_naiyo"]).'<input type="hidden" name="toiawase_naiyo" value="'.$_POST["toiawase_naiyo"].'"></td>';
	echo '</tr>';
}

// その他
if (isset($_POST['item_else'])) {
	echo '<tr>';
	echo '<td class="form_row_item">'.$_POST["item_else"].'<input type="hidden" name="item_else" value="'.$_POST["item_else"].'"></td><td class="form_row_input">'.$_POST["else"].'<input type="hidden" name="else" value="'.$_POST["else"].'"></td>';
	echo '</tr>';
}

?>
</table>
<br class="clear_both"><br>

     
<div class="btn"><input type="submit" value="送信"></div>
<div class="btn"><input type="button" value="戻る" onClick="location='sample_display.php?modoru=1'"></div>
</form>

</body>
<script>window.focus();</script><!-- 呼ばれたときに他のウインドウに隠れないように前面に表示する -->
</html>
