<?php
	// 不正アクセスチェック
	require_once 'popups/wysiwyg_access_check.php';
	// セッションの復元
	session_start();
	include 'src/function_cms.php';
	
	// DBへの接続（存在しない場合はDB、TABLEを作成）
	$conn = init_sqlite();
	if ($_GET["dataproc"] == "upd") {							// 更新
		//**********************************************************
		// 画像ファイル名を変更する。"page_data_contents_0"
		//**********************************************************
		$old_file_name_subsrt = "page_data_contents_0";								// 変更前のファイル名（編集エリアのページでセットしている）
		$new_file_name_subsrt = "page_data_contents_". $_GET['data_id'];			// 変更後のファイル名（0をpage_dataの更新対象のレコードのＩＤ「$_GET['data_id']」に変更）。
		// 記事（$_SESSION['htmlarea_input']）上の画像ファイル名を変更しＤＢを更新する。
		$_SESSION['htmlarea_input'] = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $_SESSION['htmlarea_input']);
		$sql_tmp = "update page_data set 
						contents			= :contents,
						update_time 		= :update_time
						where id			= :id";
		$contents 		= $_SESSION['htmlarea_input'];
		
		$stmt = $conn->prepare($sql_tmp);
		$stmt->bindParam(":id", $_GET['data_id']);
		$stmt->bindParam(":contents", $contents);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		//***********************************************************************************************************************
		// function_cms.phpで定義されたfunction「upload_img_del」で、記事中に存在しない画像ファイルをサーバーから削除する。
		//***********************************************************************************************************************
		$db_proc					= "upd";
		$contents 					= $_SESSION['htmlarea_input'];
		$img_using_table_col_name	= "page_data_contents";
		$img_using_table_id			= $_GET['data_id'];
		upload_img_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		
		// PDFファイル名を変更する。"page_data_contents_0"
		$old_file_name_subsrt = "pdf_page_data_contents_0";
		$new_file_name_subsrt = "pdf_page_data_contents_". $_GET['data_id'];
		// 記事（$_SESSION['htmlarea_input']）上ののPDFファイル名を変更
		$_SESSION['htmlarea_input'] = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $_SESSION['htmlarea_input']);
	
		$sql_tmp = "update page_data set 
						contents			= :contents,
						update_time 		= :update_time
						where id			= :id";
		$contents 				= $_SESSION['htmlarea_input'];
		$stmt = $conn->prepare($sql_tmp);
		$stmt->bindParam(":id", $_GET['data_id']);
		$stmt->bindParam(":contents", $contents);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		//***********************************************************************************************************************
		// function_cms.phpで定義されたfunction「upload_pdf_del」で、記事中に存在しないPDFファイルをサーバーから削除する。
		//***********************************************************************************************************************
		$db_proc					= "upd";
		$contents 					= $_SESSION['htmlarea_input'];
		$img_using_table_col_name	= "page_data_contents";
		$img_using_table_id			= $_GET['data_id'];
		upload_pdf_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		
		// zipファイル名を変更する。"page_data_contents_0"
		$old_file_name_subsrt = "zip_page_data_contents_0";
		$new_file_name_subsrt = "zip_page_data_contents_". $_GET['data_id'];
		// 記事（$_SESSION['htmlarea_input']）上ののzipファイル名を変更
		$_SESSION['htmlarea_input'] = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $_SESSION['htmlarea_input']);
	
		$sql_tmp = "update page_data set 
						contents			= :contents,
						update_time 		= :update_time
						where id			= :id";
		$contents 				= $_SESSION['htmlarea_input'];
		$stmt = $conn->prepare($sql_tmp);
		$stmt->bindParam(":id", $_GET['data_id']);
		$stmt->bindParam(":contents", $contents);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		//***********************************************************************************************************************
		// function_cms.phpで定義されたfunction「upload_zip_del」で、記事中に存在しないzipファイルをサーバーから削除する。
		//***********************************************************************************************************************
		$db_proc					= "upd";
		$contents 					= $_SESSION['htmlarea_input'];
		$img_using_table_col_name	= "page_data_contents";
		$img_using_table_id			= $_GET['data_id'];
		upload_zip_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		
		//**********************************************************************************************
		// DB上の商品画像ファイル名を変更する。"item_imgn_0"n(n=1～5)
		//**********************************************************************************************
		for($i=1;$i<=5;$i++) {
			$old_file_name_subsrt = "item_img".$i."_0";
			$new_file_name_subsrt = "item_img".$i."_". $_GET['data_id'];
			// DB上の画像ファイル名を変更
			$_SESSION['htmlarea_input'] = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $_SESSION['htmlarea_input']);
		
			$sql_tmp = "update page_data set 
							contents			= :contents,
							update_time 		= :update_time
							where id			= :id";
			$contents 				= $_SESSION['htmlarea_input'];
		}
		$stmt = $conn->prepare($sql_tmp);
		$stmt->bindParam(":id", $_GET['data_id']);
		$stmt->bindParam(":contents", $contents);
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$stmt->bindParam(":update_time", $update_time);
		$stmt->execute();
		//**********************************************************************************************************
		// サーバー上の商品画像ファイル名n(n=1～5)を変更し、記事中に存在しない画像ファイルをサーバーから削除する。
		//**********************************************************************************************************
		for($i=1;$i<=5;$i++) {
			$db_proc					= "upd";
			$contents 					= $_SESSION['htmlarea_input'];
			$img_using_table_col_name	= "item_img".$i;
			$img_using_table_id			= $_GET['data_id'];
			upload_img_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
		}
	}else{															// 追加
		// 「画像ファイル名」「PDFファイル名」「商品画像ファイル名」で変更後のファイル名に「カラム名(ID)の値」が使用されるので「カラム名(ID)の値」を取得するために一旦データをＤＢにinsertする。
		$contents		= $_SESSION['htmlarea_input'];
		//更新日時
		$time 			= time();
		$update_time 	= date('Y/m/d H:i:s', $time);
		$id = insert_page_data($conn, $contents);					// $id「カラム名(ID)」に最後に挿入された行の ID をセット
		// DB上の画像ファイル名/PDFファイル名/商品画像ファイル名を変更する。
		$sql = "SELECT * FROM page_data where (id = ". $id.")";
		$stmt = $conn->prepare($sql);
		$stmt->execute();
		if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			// DB上の画像ファイル名を変更する。（「"page_data_contents_0"」から「"page_data_contents_". $row["id"]」）
			$old_file_name_subsrt = "page_data_contents_0";
			$new_file_name_subsrt = "page_data_contents_". $row["id"];
			// DB上の画像ファイル名を変更
			$contents = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $contents);
			update_page_data($conn, $id, $contents);
			//***************************************************************************************************************************************************************************************************
			// サーバー上の画像ファイル名を変更（「"page_data_contents_0"」から「"page_data_contents_". $row["id"]」）し、記事中に存在しない画像ファイル「"page_data_contents_0_*"」をサーバーから削除する。
			//***************************************************************************************************************************************************************************************************
			$db_proc					= "add";
			$contents 					= $contents;
			$img_using_table_col_name	= "page_data_contents";
			$img_using_table_id			= $row["id"];
			upload_img_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
			//*********************************************************************************************************************
			// DB上のPDFファイル名を変更する。（「"pdf_page_data_contents_0"」から「"pdf_page_data_contents_". $row["id"]」）
			//*********************************************************************************************************************
			$old_file_name_subsrt = "pdf_page_data_contents_0";
			$new_file_name_subsrt = "pdf_page_data_contents_". $row["id"];
			// DB上のPDFファイル名を変更
			$contents = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $contents);
			update_page_data($conn, $id, $contents);
			//*************************************************************************************************************************************************************************************************************
			// サーバー上の画像ファイル名を変更（「"pdf_page_data_contents_0"」から「"pdf_page_data_contents_". $row["id"]」）し、記事中に存在しないPDFファイル「"pdf_page_data_contents_0_*"」をサーバーから削除する。
			//**************************************************************************************************************************************************************************************************************
			$db_proc					= "add";
			$contents 					= $contents;
			$img_using_table_col_name	= "page_data_contents";
			$img_using_table_id			= $row["id"];
			upload_pdf_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
			
			//*********************************************************************************************************************
			// DB上のzipファイル名を変更する。（「"zip_page_data_contents_0"」から「"zip_page_data_contents_". $row["id"]」）
			//*********************************************************************************************************************
			$old_file_name_subsrt = "zip_page_data_contents_0";
			$new_file_name_subsrt = "zip_page_data_contents_". $row["id"];
			// DB上のzipファイル名を変更
			$contents = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $contents);
			update_page_data($conn, $id, $contents);
			//*************************************************************************************************************************************************************************************************************
			// サーバー上の画像ファイル名を変更（「"zip_page_data_contents_0"」から「"zip_page_data_contents_". $row["id"]」）し、記事中に存在しないzipファイル「"zip_page_data_contents_0_*"」をサーバーから削除する。
			//**************************************************************************************************************************************************************************************************************
			$db_proc					= "add";
			$contents 					= $contents;
			$img_using_table_col_name	= "page_data_contents";
			$img_using_table_id			= $row["id"];
			upload_zip_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
			
			//**************************************************************************************************************
			// DB上の商品画像ファイル名を変更する。（「"item_img".$i."_0"」から「"item_img".$i."_". $row["id"]）
			//**************************************************************************************************************
			for($i=1;$i<=5;$i++) {
				$old_file_name_subsrt = "item_img".$i."_0";
				$new_file_name_subsrt = "item_img".$i."_". $row["id"];
				// DB上の商品画像ファイル名を変更
				$contents = str_replace($old_file_name_subsrt, $new_file_name_subsrt, $contents);
				update_page_data($conn, $id, $contents);
			}
			//*******************************************************************************************************************************************************************************************
			// サーバー上の商品画像ファイル名n(n=1～5)を変更（「"item_img".$i."_0"」から「"item_img".$i."_". $row["id"]）し、記事中に存在しない画像ファイル「"item_img".$i."_0"」をサーバーから削除する。
			//*******************************************************************************************************************************************************************************************
			for($i=1;$i<=5;$i++) {
				$db_proc					= "add";
				$contents 					= $contents;
				$img_using_table_col_name	= "item_img".$i;
				$img_using_table_id			= $row["id"];
				upload_img_del($conn, $db_proc, $contents, $img_using_table_col_name, $img_using_table_id);
			}
		}
	}
	header('Location:wysiwygeditor.php?dbsave='.$_GET["dataproc"].'');
?>
